﻿@using System.Security.Cryptography
@using System.Web.Hosting
@model StarterProjectV2.ViewModels.OwnersAdditionalInfoEditView
@{
    ViewBag.Title = "Family Edit";
}
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <style>
        .container1 {
            color: white;
            width: 128px;
            height: 128px;
        }
    </style>
}
@section FOOTERJS{
    <script src="~/Content/vendors/js/coreui.min.js"></script>
    <script src="~/Content/vendors/js/toastr.min.js"></script>
}
@section PAGETITLE{
  Family Edit
}
<h2>Family Edit</h2>

<div class="card">
    <div class="card-body">
        <h1 class="text-center" style="margin-bottom: 40px;color: indianred">Edit Owner's Family Information</h1>
        @*@using (Html.BeginForm("OwnersFamilyInfoEdit", "AdditionalInformation", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form", }))
            {*@
        <form>
            <div class="form-group row mb-3">
                @Html.LabelFor(m => m.OwnersFamilyList[0].SpouseName, new { @class = "col-sm-3 col-lg-2 col-md-3  col-form-label" })
                @Html.TextBoxFor(m => m.OwnersFamilyList[0].SpouseName, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Owner's Spouse Name", type = "text", id = "spouseName" })

                @Html.LabelFor(m => m.OwnersFamilyList[0].SpouseDOB, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })
                @Html.TextBoxFor(m => m.OwnersFamilyList[0].SpouseDOB,
                    new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Spouse's Date Of Birth", type = "date", id = "spouseDOB" })
            </div>
            <div class="form-group row mb-3">
                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Spouse's NID</label>
                @Html.TextBoxFor(m => m.OwnersFamilyList[0].SpouseNID, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Owner's Spouse NID", type = "text", id = "spouseNID" })
            </div>
            <div class="form-group row mb-5">
                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Picture of Spouse's NID</label>
                <div class="container1 col-sm-9 col-lg-3 col-md-3" style="display: flex;flex-direction: column">
                    @{
                        var time6 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                    }
                    <img id="spouse-NID-pic" class="" src="@Url.Content(Model.OwnersFamilyList[0].SpouseNIDPath + time6)" alt="HTML5 Icon" width="128" height="128" onerror="this.onerror=null; this.src='https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460__340.png';">
                    <input id="upload-file-NID" type="file" style="margin-top:5px" />
                </div>

                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Picture of Spouse</label>
                <div class="container1 col-sm-9 col-lg-3 col-md-3" style="display: flex;flex-direction: column">
                    @{
                        var time7 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                    }
                    <img id="spouse-pic" class="" src="@Url.Content(Model.OwnersFamilyList[0].SpousePicture + time7)" alt="HTML5 Icon" width="128" height="128" onerror="this.onerror=null; this.src='https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460__340.png';">
                    <input id="upload-file-picture" type="file" style="margin-top:5px" />
                </div>
            </div>
            <div class="form-group row mb-3">
                @Html.LabelFor(m => m.OwnersFamilyList[0].SpouseMobile, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })
                @Html.TextBoxFor(m => m.OwnersFamilyList[0].SpouseMobile, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "+880xxxxxxxxxx", type = "text", id = "spouseMobile" })
                @Html.LabelFor(m => m.OwnersFamilyList[0].SpouseEmail, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })
                @Html.TextBoxFor(m => m.OwnersFamilyList[0].SpouseEmail, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "example@gmail.com", type = "text", id = "spouseEmail" })
            </div>
            <button type="button" class="btn btn-success m-1 but">Add Child</button>
            <div class="children">
                @*No of Family = @Model.OwnersFamilyList.Count*@
                @for (var i = 0; i < Model.OwnersFamilyList.Count; i++)
                {
                    @*<div class="child_@i">*@
                    <div class="row mb-5">
                        <div class="col">
                            <label for="ChildName">Child Name</label>
                            @*<input type="text" class="form-control" placeholder="Time Period" name="OPPeriod" id="OPPeriod">*@
                            @Html.TextBoxFor(m => m.OwnersFamilyList[i].ChildName, new { @class = "form-control", placeholder = "Child Name", type = "text", name = "ChildName", @id = "ChildName" })
                        </div>
                        <div class="col">
                            <label for="ChildDOB">Date of Birth</label>
                            @Html.TextBoxFor(m => m.OwnersFamilyList[i].ChildDOB, new { @class = "form-control", type = "date", name = "ChildDOB", @id = "ChildDOB" })
                        </div>

                        <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Picture of Child @i</label>
                        <div class="container1">
                            @{
                                var time9 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                            }
                            @{
                                if (Model.IsChildPictureExists[i] == true)
                                {
                                    <img id="child-pic_@i" class="" src="@Url.Content(Model.OwnersFamilyList[i].ChildPicture + time9)" alt="HTML5 Icon" width="128" height="128">
                                }
                                else
                                {
                                    <img id="child-pic_@i" src="~/Content/ownerprofilepictures/base.jpg" alt="HTML5 Icon" width="128" height="128">
                                }
                            }
                            <input class="cp_@i" id="ChildPicture_@i" name="@i" type="file" />
                        </div>
                    </div>
                    @*</div>*@
                    @*@Html.HiddenFor(m => m.OwnersFamilyList[i].OwnersFamilyId)
                        @Html.HiddenFor(m => m.OwnersFamilyList[i].OwnerId)*@
                }
            </div>
            <div class="row">
                <div>
                    <button type="submit" class="btn btn-primary m-1" onclick="FullSubmit()">Submit</button>
                </div>
                <div>
                    <button type="button" class="btn btn-danger m-1">Reset</button>
                </div>
                <div>
                    <button type="button" class="btn btn-warning m-1" onclick="goBack()">Back</button>
                </div>
                <div>
                    <button type="button" class="btn btn-info m-1" onclick="gotoNominee()">Skip</button>
                </div>
            </div>
        </form>
        @*}*@
    </div>
</div>
<script>
    function goBack() {
        window.location.href = "/AdditionalInformation/ProjectEdit?OwnerId=" + '@Model.OwnersFamilyList[0].OwnerId';
    }
</script>
<script>
    function gotoNominee() {
        window.location.href = "/AdditionalInformation/NomineeEdit?OwnerId=" + '@Model.OwnersFamilyList[0].OwnerId';
    }
</script>
@*family started*@
<script>

    window.addEventListener('load', function () {
        document.querySelector('input[id="upload-file-picture"]').addEventListener('change', function () {
            if (this.files && this.files[0]) {
                //alert("here");
                var img = $('#spouse-pic')[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

    });
</script>
<script>

    window.addEventListener('load', function () {
        document.querySelector('input[id="upload-file-NID"]').addEventListener('change', function () {
            if (this.files && this.files[0]) {
                //alert("here");
                var img = $('#spouse-NID-pic')[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

    });
</script>

<script>
    window.addEventListener('load', function () {
        var childNameListCnt = @Model.OwnersFamilyList.Count;
        for (var i = 0; i < childNameListCnt; i++) {
            document.querySelector('input[class="cp_' + i + '"]').addEventListener('change', function () {
                if (this.files && this.files[0]) {
                    var idx = this.name;
                    var Id = 'child-pic_' + idx;
                    var img = $('#child-pic_' + idx)[0];  // $('img')[0]
                    img.src = URL.createObjectURL(this.files[0]); // set src to file url
                    img.onload = imageIsLoaded; // optional onload event listener
                }
            });
        }
    });
</script>

@*Family Started*@
<script>
    var childNo = @Model.OwnersFamilyList.Count;
    var fun = function () {
        $('.children').append('<div class="child">' +
            '<div class="row">' +
            '<div class="col">' +
            '<input type="text" class="form-control" placeholder="Name" id="ChildName" required="required">' +
            '</div>' +
            '<div class="col">' +
            '<input type="date" class="form-control" placeholder="DOB" id="ChildDOB">' +
            '</div>' +
            '<div class="col">' +
            '<img id="child-pic_' + childNo +'" class="" src="../Content/families/base.jpg" alt="HTML5 Icon" width="128" height="128">'+
            '<input class="cp_' + childNo + '" id="ChildPicture_' + childNo +'" name="'+childNo+'" type="file" />'+
            '</div>' +
            '</div>' +
            '</div>');

        document.querySelector('input[class="cp_' + childNo + '"]').addEventListener('change', function () {
            if (this.files && this.files[0]) {
                var idx = this.name;
                //alert($('#child-pic_' + idx)[0]);
                var Id = 'child-pic_' + idx;
                //alert(document.getElementById(Id));
                var img = $('#child-pic_' + idx)[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

        childNo++;
    }
    $('.but').click(fun);
</script>

@*Picture Upload*@
<script>
    function PictureUpload() {
        var ownerId = '@Model.OwnersFamilyList[0].OwnerId';
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-picture');
        for (i = 0; i < fileInput.files.length; i++) {
            formdata.append(fileInput.files[i].name,fileInput.files[i], "SPic_"+ownerId+".jpg");
        }
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../AdditionalInformation/UploadFamilyEdit/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        //alert("Spouse Picture Uploaded");
        return false;
    }

</script>
@*NID Upload*@
<script>
    function NIDUpload() {
        var ownerId = '@Model.OwnersFamilyList[0].OwnerId';
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-NID');
        for (i = 0; i < fileInput.files.length; i++) {
            fileInput.files[i].name = ownerId;
        }
        for (i = 0; i < fileInput.files.length; i++) {
            formdata.append(fileInput.files[i].name, fileInput.files[i], "SNIDPic_" + ownerId + ".jpg");
        }
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../AdditionalInformation/UploadFamilyEdit/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        //alert("Spouse NID Picture Uploaded");
        return false;
    }
</script>

@*Child Picture Upload*@
<script>
    var child = 0;
    function ChildPictureUpload() {
        //for (var child = 0; child < childNo - 1; child++) {
        //alert(childNo);
        for (var childUploadNo = 0; childUploadNo < childNo; childUploadNo++) {
            //for (child = @Model.OwnersFamilyList.Count; child < childNo - 1; child++) {
            var ownerId = '@Model.OwnersFamilyList[0].OwnerId';
            var formData = new FormData();
            //var fileToUploadField = document.getElementById("ChildPicture");
            //alert('f imran');
            var totalFiles = document.getElementById("ChildPicture_" + childUploadNo).files.length;
            //alert("ChildPicture_" + child);
            //alert("total files: " + totalFiles);
            for (var i = 0; i < totalFiles; i++)
            {
                var file = document.getElementById("ChildPicture_" + childUploadNo).files[i];
                //file.name = "CPic_" + child + "_" + ownerId + ".jpg";
                //alert(file.name);
                var fileName = "CPic_" + childUploadNo + "_" + ownerId + ".jpg";
                //formData.append("ChildPicture", file , "HELLO.jpg");
                formData.append("ChildPicture", file , fileName);
            }
            child++;
            $.ajax({
                type: "POST",
                url: '../AdditionalInformation/Upload_Test/',
                data: formData,
                dataType: 'json',
                contentType: false,
                processData: false,
                success: function (response) {
                    //alert('succes!!');
                },
                error: function (error) {
                    //alert("errror");
                }
            });
            //fileToUploadField.ID = "ChildPicture1";
        }
    }
</script>
@*retrieve*@
<script>
    function retrieve() {
        var ChildName = $('input[id="ChildName"]').map(function () {
            return this.value;
        }).get();
        //alert(ChildName);

        var ChildDOB = $('input[id="ChildDOB"]').map(function () {
            return this.value;
        }).get();
        //alert(ChildDOB);
        var ChildPicture = $('input[id="ChildPicture"]').map(function () {
            return this.value;
        }).get();
        //alert(ChildPicture);
        //alert("ajax1");
        var ownerId = '@Model.OwnersFamilyList[0].OwnerId';
        var fileInputNID = document.getElementById('upload-file-NID');
        var SpouseNIDPicturePath = '~/Content/families/' + "SNIDPic_" + ownerId + ".jpg";
        var fileInputSpousePicture = document.getElementById('upload-file-picture');
        var SpousePicturePath = '~/Content/families/' +
            "SPic_" + ownerId + ".jpg";
        var myModel = {
            SpouseName: $('#spouseName').val(),
            SpouseDOB: $('#spouseDOB').val(),
            SpouseNID: $('#spouseNID').val(),
            SpouseEmail: $('#spouseEmail').val(),
            SpouseMobile: $('#spouseMobile').val(),
            SpouseNIDPath: SpouseNIDPicturePath,
            SpousePicture: SpousePicturePath,

            OwnerId: ownerId,
            ChildNameArray: ChildName,
            ChildDOBArray: ChildDOB,
            ChildPictureArray: ChildPicture,
            NoOfChild: childNo - 1
        };
        //alert("Spouse Name" + myModel.SpouseName);
        //alert("ajax2");
        $.ajax({
            context: this,
            type: 'post',
            url: '../AdditionalInformation/gettingOwnerFamilyInfoEdit/',
            data: myModel,
            success: function (result) {
                //alert(result+ "IsSuccess");
                window.location.href = "/AdditionalInformation/NomineeEdit?OwnerId=" + ownerId;

            },
            error: function () {
                //error();
                //alert("family i fucafaf ");
            }
        });
    }
</script>
@*Full Submit*@
<script>
    function FullSubmit() {
        //ShowingToastr();
        PictureUpload();
        NIDUpload();
        //ChildPictureUpload();
        retrieve();
        //alert("after retrieve");
        //alert("before child picture upload");
        ChildPictureUpload();
        //alert("after child picture upload");
    }
</script>
@*Toastr*@
<script>

    function ShowingToastr() {
        var ChildName = $('input[id="ChildName"]').map(function () {
            return this.value;
        }).get();
        var len = ChildName.length;
        var flg = false;
        for (var i = 0; i < len; i++) {
            if (ChildName[i] == "") {
                flg = true;
                break;
            }
        }
        if (flg == true) {
            toastr.error('Please Fill Up All the Child Name', 'Error!!!!', {
                closeButton: true,
                progressBar: true,
            });
        }
    }
</script>


<script src="~/Content/vendors/js/jquery.min.js"></script>
<script src="~/Content/vendors/js/popper.min.js"></script>
<script src="~/Content/vendors/js/bootstrap.min.js"></script>
<script src="~/Content/vendors/js/pace.min.js"></script>